# eric6.Plugins.VcsPlugins.vcsMercurial.HgClientPromptDialog

Module implementing a prompt dialog for the Mercurial command server.

### Global Attributes

None

### Classes

HgClientPromptDialog | Class implementing a prompt dialog for the Mercurial command server.

### Functions

None

## HgClientPromptDialog

Class implementing a prompt dialog for the Mercurial command server.

### Derived from

QDialog, Ui_HgClientPromptDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgClientPromptDialog | Constructor
getInput | Public method to get the user input.
isPassword | Public method to check, if the input was a password.
on_inputEdit_textChanged | Private slot to handle changes of the user input.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.

### Static Methods

None

#### HgClientPromptDialog (Constructor)

HgClientPromptDialog(size, message, parent=None)

Constructor

size
  maximum length of the requested input (integer)
message
  message sent by the server (string)
parent
  reference to the parent widget (QWidget)

#### HgClientPromptDialog.getInput

getInput()

Public method to get the user input.

Returns:
  user input (string)

#### HgClientPromptDialog.isPassword

isPassword()

Public method to check, if the input was a password.

Returns:
  flag indicating a password

Return Type:
  bool

#### HgClientPromptDialog.on_inputEdit_textChanged

on_inputEdit_textChanged(txt)

Private slot to handle changes of the user input.

txt
  text entered by the user (string)

#### HgClientPromptDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

Up